function FirstView() {

	var self = Ti.UI.createView();
	var touchEnabled = true;	

	var touchEnableBtn = Ti.UI.createButton({
		color:'blue',
		title: 'Toggle TouchEnable',
		height:'auto',
		width:'auto',
		top:10,
	});
	
	touchEnableBtn.addEventListener('click', function(e){
		Ti.API.info("FirstView: touchEnableBtn button clicked");
		
		if(touchEnabled){
			touchEnabled = false;
			bottomView.touchEnabled = false;
		} else {
			touchEnabled = true;
			bottomView.touchEnabled = true;
		}
	});
	
	var bottomView = Ti.UI.createView({
		top:'50%',
		height:'50%',
		backgroundColor:'#555',
		touchEnabled:true,
	});
	
	var bottomBtn = Ti.UI.createButton({
		color:'blue',
		title: 'Click me',
		height:'auto',
		width:'auto',
		top:10,
	});
	
	bottomBtn.addEventListener('click', function(e){
		Ti.API.info("FirstView: bottomBtn button clicked");
		
		alert("Button Clicked");
	});
	
	self.add(touchEnableBtn);
	self.add(bottomView);
	
	bottomView.add(bottomBtn);
	
	return self;
}

module.exports = FirstView;
